<?php include "includes/header.php" ?>
<!--  jQuery -->
<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js" integrity="sha512-VEd+nq25CkR676O+pLBnDW09R7VQX9Mdiij052gVCp5yVH3jGtH70Ho/UUv4mJDsEdTvqRCFZg0NKGiojGnUCw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<!--  SweetAlert library -->
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<script>
    toastr.options = {
        "closeButton": true,
        "newestOnTop": false,
        "progressBar": true,
        "positionClass": "toast-bottom-full-width",
        "preventDuplicates": false,
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "5000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    }
</script>

<style>
    .link:hover {
        color: #48843d;
    }
</style>

<body>

    <section class="vh-100 d-flex justify-content-center align-items-center ">
        <div class="col-12 col-md-8 col-lg-6 col-xl-5">
            <div class="card card-bg">
                <div class="card-body p-4 text-center">
                    <div class="mb-md-3 pb-3">

                        <img src="./img/logo.png" class="mb-4" alt="Profile Image" width="300">
                        <h3 class="fw-bold mb-4 text-uppercase">Forgot Password</h3>
                        <h6 style="color: gray;"><i> Please enter your registered mobile number and provide your email (registered or unregistered) to receive the code.</i></h6>



                        <p></p>

                        <form>

                            <div class="d-flex justify-content-center mb-1">
                                <div style="width: 80%;">
                                    <div class="form-outline form-dark mb-3">
                                        <label class="form-label" for="email">Mobile</label>
                                        <input type="cell" id="cell" name="cell" class="form-control" required />
                                    </div>
                                </div>

                            </div>

                            <div class="d-flex justify-content-center mb-4">
                                <div style="width: 80%;">
                                    <div class="form-outline form-dark mb-3">
                                        <label class="form-label" for="email">Email</label>
                                        <input type="email" id="email" name="email" class="form-control" required />
                                    </div>
                                </div>

                            </div>

                            <button class="btn btn-lg btn-main" id="submitBtn" type="submit">SUBMIT</button>
                        </form>
                    </div>

                    <div>
                        <p class="mb-0">
                            <a href="login.php" onmouseover="this.style.color='#1877F2'" onmouseout="this.style.color='#000'" style="color: #000; text-decoration: none;">
                                <i class="fa fa-arrow-left"></i>
                                <span>back</span>
                            </a>

                        </p>
                    </div>
                </div>
            </div>
        </div>
    </section>


    <script>
        function disableButton() {

            // Disable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = true;
            // Change background color to gray
            submitBtn.classList.add('btn-load');
            // Change the button text
            submitBtn.innerHTML = 'PROCESSING <i class="fa fa-spinner fa-spin fa-2x"></i>';


        }

        function enableButton() {
            // enable the button
            var submitBtn = document.getElementById("submitBtn");
            submitBtn.disabled = false;
            // Change background color to green
            submitBtn.classList.remove('btn-load');
            submitBtn.classList.add('btn-main');
            // Change the button text
            submitBtn.innerHTML = 'SUBMIT';
        }

        $(document).ready(function() {


            // Submit the form using jQuery
            $('form').submit(function(event) {
                event.preventDefault();


                // Get form data
                var formData = $(this).serialize();

                disableButton();

                // Make an AJAX request to the server
                $.ajax({
                    type: 'POST',
                    url: 'functions/forgot-password.php',
                    data: formData,
                    dataType: 'json',
                    success: function(response) {

                        if (response.success) {

                            Swal.fire({
                                title: 'success',
                                text: response.message,
                                icon: 'success',
                            }).then((result) => {
                                window.location.href = 'reset-password.php?email=' + encodeURIComponent($('#email').val()) + '&cell=' + encodeURIComponent($('#cell').val());

                            });


                        } else {
                            Swal.fire({
                                title: 'Error',
                                text: response.message,
                                icon: 'error',
                            }).then((result) => {
                                enableButton()

                            });
                        }
                    },
                    error: function() {
                        Swal.fire({
                            title: 'Error',
                            text: 'An error occurred while processing your request.Please try again',
                            icon: 'error',
                        }).then((result) => {
                            enableButton()

                        });
                    }
                });


            });
        });
    </script>

</body>

</html>